import type { FasedAgentConfig } from "../../config/config.js";
export declare function applyAccountNameToChannelSection(params: {
    cfg: FasedAgentConfig;
    channelKey: string;
    accountId: string;
    name?: string;
    alwaysUseAccounts?: boolean;
}): FasedAgentConfig;
export declare function migrateBaseNameToDefaultAccount(params: {
    cfg: FasedAgentConfig;
    channelKey: string;
    alwaysUseAccounts?: boolean;
}): FasedAgentConfig;
export declare function shouldMoveSingleAccountChannelKey(params: {
    channelKey: string;
    key: string;
}): boolean;
export declare function moveSingleAccountChannelSectionToDefaultAccount(params: {
    cfg: FasedAgentConfig;
    channelKey: string;
}): FasedAgentConfig;
